summaryrefslogtreecommitdiffstats
path: root/tests
diff options
context:
space:
mode:
authorClark Williams <williams@redhat.com>2010-07-30 16:57:31 -0500
committerClark Williams <williams@redhat.com>2010-07-30 16:57:31 -0500
commit92752aaed2f961677fce673f22b02f49f2140974 (patch)
tree34ded01ceb4a77130c177840d9f9b50c702e3fd1 /tests
parentb21b3348bfdef0145ade83158f90d4206d46397e (diff)
downloadmock-92752aaed2f961677fce673f22b02f49f2140974.tar.gz
mock-92752aaed2f961677fce673f22b02f49f2140974.tar.xz
mock-92752aaed2f961677fce673f22b02f49f2140974.zip
deleted testing files from docs dir (moved to tests dir)
Signed-off-by: Clark Williams <williams@redhat.com>
Diffstat (limited to 'tests')
-rwxr-xr-xtests/releasetests.sh30
1 files changed, 30 insertions, 0 deletions
diff --git a/tests/releasetests.sh b/tests/releasetests.sh
new file mode 100755
index 0000000..ba29c20
--- /dev/null
+++ b/tests/releasetests.sh
@@ -0,0 +1,30 @@
+#!/bin/sh
+# vim:tw=0:ts=4:sw=4
+
+# this is a test script to run everything through its paces before you do a
+# release. The basic idea is:
+
+# 1) make distcheck to ensure that all autoconf stuff is setup properly
+# 2) run some basic tests to test different mock options.
+# 3) rebuild mock srpm using this version of mock under all distributed configs
+
+# This test will only run on a machine with full access to internet.
+# might work with http_proxy= env var, but I havent tested that.
+#
+# This test script expects to be run on an x86_64 machine. It will *not* run
+# properly on an i386 machine.
+#
+
+set -e
+set -x
+
+DIR=$(cd $(dirname $0); pwd)
+TOP_SRCTREE=$DIR/../
+cd $TOP_SRCTREE
+
+make distclean ||:
+./autogen.sh
+./configure
+make distcheck
+make srpm
+make check